<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mySalesUnitLeasingLabel" jhiTranslate="mpmApp.salesUnitLeasing.home.createOrEditLabel">Create or edit a Sales Unit Leasing</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!salesUnitLeasing.idSalesLeasing">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="salesUnitLeasing.idSalesLeasing" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesUnitLeasing.idStatusType" for="field_idStatusType">Id Status Type</label>
            <input currencyMask class="form-control" name="idStatusType" id="field_idStatusType"
                [(ngModel)]="salesUnitLeasing.idStatusType"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesUnitLeasing.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="salesUnitLeasing.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesUnitLeasing.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="salesUnitLeasing.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesUnitLeasing.owner" for="field_owner">Owner</label>
            <select class="form-control" id="field_owner" name="owner" [(ngModel)]="salesUnitLeasing.ownerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="salesUnitRequirementOption.idRequirement" *ngFor="let salesUnitRequirementOption of salesunitrequirements; trackBy: trackSalesUnitRequirementById">{{salesUnitRequirementOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesUnitLeasing.leasingCompany" for="field_leasingCompany">Leasing Company</label>
            <select class="form-control" id="field_leasingCompany" name="leasingCompany" [(ngModel)]="salesUnitLeasing.leasingCompanyId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="leasingCompanyOption.idPartyRole" *ngFor="let leasingCompanyOption of leasingcompanies; trackBy: trackLeasingCompanyById">{{leasingCompanyOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
